/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2004 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmWaveSample.h:                                                  //
'**  '// version        :   1.0                                            //
'**  '// Language       :   C                                              //
'**  '// Development    :   Windows 2000 PentiumIII 500Mhz                 //
'**  '// Application    :   WACP                                           //
'**  '// Authors        :   Welch Allyn Inc. MedR&D                        //
'**  '// Sources        :   COOA                                           //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/
#if !defined(CFMWAVESAMPLE_H)
#define CFMWAVESAMPLE_H

typedef enum WAVESAMPLECCMDtypSPECIES{
    WAVESAMPLE_CCMD_SpSTART_ACQUIRE,
    WAVESAMPLE_CCMD_SpSTOP_ACQUIRE,
    WAVESAMPLE_CCMD_SpWRITE_CONFIG,
    WAVESAMPLE_CCMD_SpMAX
} WAVESAMPLE_CCMD_SPECIES;

typedef enum WAVESAMPLECRSTtypSPECIES{
    WAVESAMPLE_CRST_SpGET_WAVE,
    WAVESAMPLE_CRST_SpGET_CONFIG,
    WAVESAMPLE_CRST_SpMAX
} WAVESAMPLE_CRST_SPECIES;

typedef enum WAVESAMPLECRSPtypSPECIES{
    WAVESAMPLE_CRSP_SpPUT_WAVE,
    WAVESAMPLE_CRSP_SpPUT_CONFIG,
    WAVESAMPLE_CRSP_SpMAX
} WAVESAMPLE_CRSP_SPECIES;

typedef enum WAVESAMPLECSStypSPECIES{
    WAVESAMPLE_CSS_SpREPORT_WAVE = 0,
    WAVESAMPLE_CSS_SpMAX
} WAVESAMPLE_CSS_SPECIES;

#endif /* CFMWAVESAMPLE_H */
