/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPThread.h  :                                                  //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPTHREAD_H)
    #define  CWACPTHREAD_H

#include "Target.h"
#include "StdVarTyp.h"
#include "Common.h"
#include <process.h>
#include <windows.h>

typedef struct CWACPThread
{
    HANDLE  hHandle;
}CWACPThread;

void    CWACPThread_Init(CWACPThread* pObject, THREAD_ID ThreadID);
void    CWACPThread_Destroy(CWACPThread* pObject);

boolean CWACPThread_StartThread(CWACPThread* pObject, uint32(WACPAPI* StartAddress)(void*), void* pArgList, int32 ThreadPriority);
void    CWACPThread_EndThread(CWACPThread* pObject);

#endif /* #if !defined(CWACPTHREAD_H) */



