/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPStack.h   :                                                  //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined (CWACPSTACK_H)
    #define   CWACPSTACK_H

#include "Target.h"
#include "CInterchange.h"

class CWACPStack
{
/*================================================================================
CWACPStack Members: Public, Private, and Protected
================================================================================*/
    public:
        MOMP_DLLAPI CWACPStack(uint16 RNDZPort, uint16 WACPPort, int32 ThreadPriority, void* pCallback);
        MOMP_DLLAPI ~CWACPStack();

        MOMP_DLLAPI void StartClient();

    private:
        CInterchange LinkLayer;
};
#endif /* #if !defined (CWACPSTACK_H) */

/*---------------------------------------------------*/
/* End of File */





