/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPEvent.h   :                                                  //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPEVENT_H)
    #define  CWACPEVENT_H

#include "StdVarTyp.h"
#include <windows.h>

class CWACPEvent
{
/*================================================================================
CWACPEvent Members: Public, Private, and Protected
================================================================================*/
public:

    CWACPEvent();
    CWACPEvent(TCHAR *pName, boolean bManualReset);
    ~CWACPEvent();
    
    void Raise();
    void Reset();
    uint32 Wait(uint32 Timeout);

private:
    HANDLE  hHandle;
    boolean bReset;
};


#endif /* #if !defined(CWACPEVENT_H) */

/*---------------------------------------------------*/
/* End of File */





