/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmBODYMASSINDEXStub.h                                            //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.8.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'**
'*-E************************************************************************/

#if !defined(CFMBODYMASSINDEXSTUB_H)
    #define  CFMBODYMASSINDEXSTUB_H

#include "CFamilyEnum.h"
#include "CFamilyStub.h"

class CFmBODYMASSINDEXStub
{
private:
    CWACPApp    *pWACPApp;
    CFamilyStub *pStubClass;

public:
    CFmBODYMASSINDEXStub(CFamilyStub *StubClass);
    CFmBODYMASSINDEXStub();
    ~CFmBODYMASSINDEXStub();

    uint16 AppInit(char *pSourceID);
    void TxTest(char *pSourceID);
    void StressTest(char *pSourceID);
    void SendAllTest(char *pSourceID);

};
#endif /* #if !defined(CFmBODYMASSINDEXSTUB_H) */

/*---------------------------------------------------*/
/* End of File */
