/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmDATATRANSFERStub.h                                             //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.8.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'**
'*-E************************************************************************/

#if !defined(CFMDATATRANSFERSTUB_H)
    #define  CFMDATATRANSFERSTUB_H

#include "CFamilyEnum.h"
#include "CFamilyStub.h"

class CFmDATATRANSFERStub
{
private:
    CWACPApp    *pWACPApp;
    CFamilyStub *pStubClass;

public:
    CFmDATATRANSFERStub(CFamilyStub *StubClass);
    CFmDATATRANSFERStub();
    ~CFmDATATRANSFERStub();

    uint16 AppInit(char *pSourceID);
    void TxTest(char *pSourceID);
    void StressTest(char *pSourceID);
    void SendAllTest(char *pSourceID);

};
#endif /* #if !defined(CFmDATATRANSFERSTUB_H) */

/*---------------------------------------------------*/
/* End of File */
