/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmHEIGHTStub.h                                                   //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.8.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'**
'*-E************************************************************************/

#if !defined(CFMHEIGHTSTUB_H)
    #define  CFMHEIGHTSTUB_H

#include "CFamilyEnum.h"
#include "CFamilyStub.h"

class CFmHEIGHTStub
{
private:
    CWACPApp    *pWACPApp;
    CFamilyStub *pStubClass;

public:
    CFmHEIGHTStub(CFamilyStub *StubClass);
    CFmHEIGHTStub();
    ~CFmHEIGHTStub();

    uint16 AppInit(char *pSourceID);
    void TxTest(char *pSourceID);
    void StressTest(char *pSourceID);
    void SendAllTest(char *pSourceID);

};
#endif /* #if !defined(CFmHEIGHTSTUB_H) */

/*---------------------------------------------------*/
/* End of File */
