/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CConObjSvr.h   :                                                  //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/
#if !defined(CCONOBJSVR_H)
    #define  CCONOBJSVR_H

typedef enum KEEPALIVESTATUS{
    KEEP_ALIVE_RUNNING = 0,
    KEEP_ALIVE_STOPPED,
    KEEP_ALIVE_TIMEOUT,
    KEEP_ALIVE_END
}KEEP_ALIVE_STATUS;

typedef  enum CONNCEVNTtypSPECIES{
    CONN_CEVNT_SpNONE = 0,
    CONN_CEVNT_SpCONNECTED,
    CONN_CEVNT_SpFAILED,
    CONN_CEVNT_SpMAX
}CONN_CEVNT_SPECIES;

typedef  enum CONNCRSTtypSPECIES{
    CONN_CRST_SpKEEPALIVE = 0,
    CONN_CRST_SpGETCONNLIST,
    CONN_CRST_SpMAX
}CONN_CRST_SPECIES;

typedef  enum CONNCRSPtypSPECIES{
    CONN_CRSP_SpKEEPALIVE = 0,
    CONN_CRSP_SpPUTCONNLIST,
    CONN_CRSP_SpMAX
}CONN_CRSP_SPECIES;

typedef  enum CONNCMDtypSPECIES{
    CONN_CMD_SpSHUTDOWN = 0,
    CONN_CMD_SpRESERVED, 
    CONN_CMD_SpSTARTBYPASS,
    CONN_CMD_SpENDBYPASS,
    CONN_CMD_SpBYPASSTERMINATED,
    CONN_CMD_SpMAX
}CONN_CMD_SPECIES;

typedef  enum CONNCFGtypSPECIES{
    CONN_CFG_SpKEEPALIVEON = 0,
    CONN_CFG_SpKEEPALIVEOFF,
    CONN_CFG_SpKEEPALIVECHECK,
    CONN_CFG_SpMAX
}CONN_CFG_SPECIES;

#endif /* #if !defined (CCONOBJSVR_H) */




