/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmDEVICEStub.h                                                   //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.8.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'**
'*-E************************************************************************/

#if !defined(CFMDEVICESTUB_H)
    #define  CFMDEVICESTUB_H

#include "CFamilyEnum.h"
#include "CDeviceDStd.h"
#include "CDevDPOST.h"
#include "WACP.h"
#include "Common.h"
#include "CDevPMsgArguments.h"

extern uint16 PostState;

boolean CFmDEVICEStub_RecvMsg(const char *pSourceID, uint8 Genus, uint8 Species, uint8* Buffer);
boolean GetCDeviceDStd(CDeviceDStd* pObject);
boolean GetCDevDPOST(CDevDPOST* pObject);

#endif /* #if !defined(CFMDEVICESTUB_H) */
