/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2004-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPEvent.h   :                                                  //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPEVENT_H)
    #define  CWACPEVENT_H

#include "StdVarTyp.h"

#include <process.h>
#include <windows.h>

typedef struct CWACPEvent
{
    HANDLE  hHandle;
}CWACPEvent;

void    CWACPEvent_Init(CWACPEvent *pObject, const char *pName, boolean bManualReset);
void    CWACPEvent_Destroy(CWACPEvent *pObject);
void    CWACPEvent_Raise(const CWACPEvent *pObject);
void    CWACPEvent_Reset(const CWACPEvent *pObject);
uint32  CWACPEvent_Wait(const CWACPEvent *pObject, uint32 Timeout);

#endif /* #if !defined(CWACPEVENT_H) */



