/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPStack.cpp :                                                  //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/
#include "CWACPStack.h"
#include "SysUtil.h"

CWACPStack::CWACPStack(uint16 RNDZPort, uint16 WACPPort, int32 ThreadPriority, void* pCallback)
{   
    SYS_INIT();
    LinkLayer.Init(RNDZPort, WACPPort, ThreadPriority, pCallback);
}

CWACPStack::~CWACPStack()
{
    SYS_DESTROY();
}

/*================================================================================
CWACPStack StartClient: Starts up a Client session
================================================================================*/
void CWACPStack::StartClient()
{
    /* Start the Client session via StartThreads.*/
    LinkLayer.StartClient();
}

