/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPMutex.h   :                                                  //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPMUTEX_H)
    #define  CWACPMUTEX_H

#include "StdVarTyp.h"
#include <windows.h>

class CWACPMutex 
{ 
public: 
    CWACPMutex(); 
    CWACPMutex(TCHAR *pName);
    ~CWACPMutex(); 

    uint32  Lock(uint32 Timeout); 
    boolean Release();   

private:
    void* hMutex;
};      

#endif /* #if !defined(CWACPMUTEX_H) */

/*---------------------------------------------------*/
/* End of File */






