/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmNUMERICStub.h                                                  //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.8.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'**
'*-E************************************************************************/

#if !defined(CFMNUMERICSTUB_H)
    #define  CFMNUMERICSTUB_H

#include "CFamilyEnum.h"
#include "CFamilyStub.h"

class CFmNUMERICStub
{
private:
    CWACPApp    *pWACPApp;
    CFamilyStub *pStubClass;

public:
    CFmNUMERICStub(CFamilyStub *StubClass);
    CFmNUMERICStub();
    ~CFmNUMERICStub();

    uint16 AppInit(char *pSourceID);
    void SendAllTest(char *pSourceID);

};
#endif /* #if !defined(CFmNUMERICSTUB_H) */

/*---------------------------------------------------*/
/* End of File */
