/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmRECORDStub.h                                                   //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.8.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'**
'*-E************************************************************************/

#if !defined(CFMRECORDSTUB_H)
    #define  CFMRECORDSTUB_H

#include "CFamilyEnum.h"
#include "CFamilyStub.h"

class CFmRECORDStub
{
private:
    CWACPApp    *pWACPApp;
    CFamilyStub *pStubClass;

public:
    CFmRECORDStub(CFamilyStub *StubClass);
    CFmRECORDStub();
    ~CFmRECORDStub();

    uint16 AppInit(char *pSourceID);
    void TxTest(char *pSourceID);
    void StressTest(char *pSourceID);
    void SendAllTest(char *pSourceID);

};
#endif /* #if !defined(CFmRECORDSTUB_H) */

/*---------------------------------------------------*/
/* End of File */
