/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CRecordPSelector.h                                                //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.8.0                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'** Generated from DDS_Merlion.xml version 22
'*-E************************************************************************/

#if !defined(CRECORDPSELECTOR_H)
    #define  CRECORDPSELECTOR_H

#if defined(WIN32)
#include <stdio.h>
#include <string.h>
#endif

#include "StdVarTyp.h"
#include "target.h"
#include "DtSupport.h"
#include "DtData.h"
#include "Mem.h"

/*---------------------------------
Add Defines for string representation
of enumerations in the next section.
---------------------------------*/
    typedef  enum CRECPSELtypSPECIES {
        CRECPSEL_SpRECORD = 0, 
        CRECPSEL_SpMAX
    } CRECPSEL_SPECIES;

    /*CRecordPSelector Member's Version Enumerations*/
    typedef  enum CRECPSELtypVERSIONS {
        CRECPSEL_SpeciesSelector,
        CRECPSEL_MEMBER_MAX
    } CRECPSEL_VERSIONS;


/*The following definition is the version.*/
#define CRECPSEL_OBJECT_VERSION 100

#define CRECPSEL_MOIB_HEADER_SIZE(ClassID)\
    (sizeof(uint32) + (IsExtended_ClassID(ClassID) ? sizeof(uint32) : sizeof(uint16)))

#define CRECPSEL_STATIC_DATA_SIZE\
               (0 * MOIB_TIME_SIZE        + 0 *(sizeof(int8))\
                   + 0 *(sizeof(int16))   + 0 *(sizeof(int32))\
                   + 0 *(sizeof(uint8))   + 0 *(sizeof(uint16))\
                   + 1 *(sizeof(uint32))  + 0 *(sizeof(byte))\
                   + 0 *(sizeof(word))    + 0 *(sizeof(boolean))\
                   + 0 *(sizeof(char))    + 0 *(sizeof(ansichar))\
                   + 0 *(sizeof(widechar))+ 0 *(sizeof(float))\
                   + 0 *(sizeof(double)))


typedef struct CRecordPSelector
{
    /* DtData Members */
    uint32      ClassID;
    byte        DataBitField;
    uint16      SrcVersion;

    /*Static Data*/
    uint32             m_SpeciesSelector; /* Species ID or Service ID of the record. */

}CRecordPSelector;

void    CRecordPSelector_Init(CRecordPSelector *pObject);
void    CRecordPSelector_Reset(CRecordPSelector *pObject, boolean bResetAll, boolean bInit);
uint32  CRecordPSelector_SizeAll(const CRecordPSelector *pObject);
boolean CRecordPSelector_Deserialize(CRecordPSelector *pObject, uint8 *pBuf);
boolean CRecordPSelector_Serialize(const CRecordPSelector *pObject, uint8 *pBuf);

#endif /* #if !defined(CRECORDPSELECTOR_H) */

